Bug 987380 - [fork][origin_runtime_183] Existing oo-cgroup admin tools are broken
[fork][origin_runtime_183] Existing oo-cgroup admin tools are broken
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rob Millner
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 06:32 EDT by Meng Bo
Modified: 2015-05-14 19:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: fork_ami_origin_runtime_183_and_191_720
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 18:55:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2013-07-23 06:32:57 EDT
Description of problem:
Existing tools oo-cgroup-enable, oo-cgroup-disable, oo-cgroup-reclassify are broken.

Version-Release number of selected component (if applicable):
fork_ami_origin_runtime_183_and_191_704

How reproducible:
always

Steps to Reproduce:
1.Run the oo-cgroup tools with option --with-all-containers
2.Run the oo-cgroup tools with option --with-container-uuid
3.

Actual results:
# oo-cgroup-reclassify -a
undefined method `each' for OpenShift::Runtime::ApplicationContainer:Class

# oo-cgroup-enable -c 380609346416247717232640
undefined local variable or method `path' for #<OpenShift::Runtime::Utils::Cgroups::Libcgroup:0x0000000212d4a8>


Expected results:
The existing commands should work well.

Additional info:
Comment 1 Rob Millner 2013-07-23 14:27:16 EDT
Updated branch with bugfixes.
[root@ip-10-12-79-36 ~]# oo-cgroup-reclassify -a
[root@ip-10-12-79-36 ~]# oo-cgroup-enable -c  afbc1e7ef3c411e2a15912313d2960d6

They should be in the next build of the fork AMI.
Comment 2 Rob Millner 2013-07-24 21:11:33 EDT
Fixed in:
fork_ami_origin_runtime_183_and_191_720
Comment 3 Xiaoli Tian 2013-07-26 06:22:46 EDT
Verified it on  fork_ami_origin_runtime_183_and_191_724 

[root@ip-10-164-65-110 openshift]# oo-cgroup-disable -c 51f23f1b529abf0a0d000001
[51f23f1b529abf0a0d000001]\> oo-cgroup-read oo-cgroup-read  cpu.cfs_quota_us
could not find attribute oo-cgroup-read

[root@ip-10-164-65-110 openshift]# oo-cgroup-enable -c 51f23f1b529abf0a0d000001
[51f23f1b529abf0a0d000001]\> oo-cgroup-read  cpu.cfs_quota_us
100000

Note You need to log in before you can comment on or make changes to this bug.